Smart search across audit logs
curl --request GET \
--url https://api.projectdiscovery.io/v1/team/audit_log/search \
--header 'X-API-Key: <api-key>' \
--header 'X-Team-Id: <x-team-id>'import requests
url = "https://api.projectdiscovery.io/v1/team/audit_log/search"
headers = {
"X-Team-Id": "<x-team-id>",
"X-API-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Team-Id': '<x-team-id>', 'X-API-Key': '<api-key>'}};
fetch('https://api.projectdiscovery.io/v1/team/audit_log/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": [
{
"created_at": "<string>",
"email": "<string>",
"action": "<string>",
"status": 123,
"method": "<string>",
"ip": "<string>",
"path": "<string>",
"source": "api"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Users & Authentication
Smart search across audit logs
GET
/
v1
/
team
/
audit_log
/
search
Smart search across audit logs
Authorizations
Headers
'Retrieve the Team ID from: https://cloud.projectdiscovery.io/settings/team'
Query Parameters
Search query. Automatically detects search intent:
- Status code (404, 200, 500) → Searches status_code field
- Source (api, platform, unknown) → Searches source field
- IP address (192.168.x.x) → Searches ip field
- Email (user@example.com) → Searches email field
- HTTP method (GET, POST, PUT) → Searches method field
- Path (/v1/scans, enumerate) → Searches path_name and path fields
- General text → Searches across path, path_name, request, response
Required string length:
1 - 200number of rows to skip
number of rows to get (max 100)
Was this page helpful?